#Initiate refund
#Request path
/api/v2/payment/merchant/refund#Request parameters
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| appId | String | 32 | yes | Merchant AppId |
| orderld | String | 32 | yes | The unique Order Number of the merchant refund form, which can be used to query the refund results. |
| orginOrderld | String | 32 | yes | Original order number of the merchant, orders that need refund |
| amount | Long | - | yes | Refund amount (minimum unit measurement), partial refund is supported. |
| payeeName | String | 50 | no | Name of the payee (If not passed, the default value is unknown) If needed, please contact BD for authorization |
| payeeBankCode | String | 50 | no | Bank or MMO code of the payee If needed, please contact BD for authorization |
| payeeBankAccNo | String | 50 | no | Bank account or MoMo account of the payee. The account number is purely numeric, with no spaces or special characters. If needed, please contact BD for authorization |
| payeeEmail | String | 50 | no | Payee email. For Pakistan, please fill in this field. |
| payeePhone | String | 50 | no | Please fill in this field in Pakistan. Payee phone number in the international format, starting with the country code, e.g. 023301234567890 |
| notifyUrl | String | 200 | no | Transaction result callback address for receiving message notifications of changes to refund result information. If not filled, the notifyUrl of the original order will be used by default |
| remark | String | 200 | no | Note information |
#Returned value
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderNo | String | 32 | yes | PalmPay internal order number |
| orderId | String | 32 | yes | The merchant's unique order number can be used to check transaction results |
| orderStatus | Integer | 20 | yes | Refund order status |
| sessionId | String | 128 | no | Channel Response Parameters. Note: Most of the non-NIBSS channels do not return sessionId, if there is any problem with this type of order, you need to provide the order number to PalmPay to confirm the actual arrival of the payee. |
| message | String | 500 | yes | Status description information |
| currency | String | 10 | yes | Currency |
| amount | Long | 20 | yes | Refund amount(minimum unit) |
#Error Code
#Postman example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/refund' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{
"requestTime": 1662171389940,
"version": "V1.1",
"nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
"appId":"Lxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"originOrderId":"e7c3784d5e2242fc00afe89ac1234",
"orderId":"testc9ffae997fc1",
"amount":1000,
"notifyUrl":"https://xx.cn/callback/payment",
"remark":"test"
}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"orderNo": "2424220903032435363613",
"orderId": "testc9ffae997fc1",
"orderStatus": 1,
"message": "success",
"currency": "NGN",
"amount": 1000
}
}